Subject: Re: [PATCH v4 11/32] delete_ref_loose(): don't muck around in the lock_file's filename

From: Michael Haggerty <[email-masked]>
Date: Sun, 14 Sep 2014 08:27:10 +0200

On 09/13/2014 09:41 AM, Johannes Sixt wrote:
> Am 06.09.2014 um 09:50 schrieb Michael Haggerty:
>> It's bad manners.  Especially since, if unlink_or_warn() failed, the
>> memory wasn't restored to its original contents.
> 
> I do not see how the old code did not restore the file name. Except for
> this nit, the patch looks good.

Hmmmm, you're quite right. I thought I had found some circumstance in
which unlink_or_warn() could fail to allocate memory and die() or
something. But I can't find anything like that now.

I will remove that sentence from the commit message.

Michael

-- 
Michael Haggerty
[email-masked]